Pages
Revoke a page link
Permanently revoke a link. Cannot be undone; create a new link instead.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
link_id*Link Id
Resource identifier: link_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Idempotency-Key*string
A unique key for this intended write. Reuse it only for an identical retry.
Length
1 <= length <= 200Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X DELETE "https://example.com/page-links/123e4567-e89b-42d3-a456-426614174000" \ -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000"{ "id": "123e4567-e89b-42d3-a456-426614174000", "page_id": "123e4567-e89b-42d3-a456-426614174001", "page_version_id": "123e4567-e89b-42d3-a456-426614174002", "page_version_number": 3, "label": "Customer review", "status": "REVOKED", "state": "revoked", "auth_version": 1, "expires_at": null, "max_visits": null, "visit_count": 4, "has_password": false, "access_mode": "ANONYMOUS", "allowed_emails": [], "allowed_domains": [], "submission_mode": "NONE", "submission_count": 0, "last_visited_at": "2026-09-04T12:00:00Z", "locale": null, "permissions": {}, "context": {}, "source_type": "USER", "source_id": null, "source_metadata": {}, "created_by": { "id": "123e4567-e89b-42d3-a456-426614174002", "name": "Ada Lovelace", "email": "ada@example.com" }, "created_at": "2026-09-04T12:00:00Z", "updated_at": "2026-09-04T12:00:00Z"}